#ifndef _RTE_ALINEAR_ENCODER_PARAMETERS_H
#define _RTE_ALINEAR_ENCODER_PARAMETERS_H
#include "rtwtypes.h"
#include "SegmentInfo.hpp"
#include "multiword_types.h"
#include "zero_crossing_types.h"
#include "Alinear_encoder_types.h"

struct RTE_Param_Service_T {
  real_T cte_encoder;
  real_T desfase_z_d;
  real_T gain_velocidad;
};

extern RTE_Param_Service_T RTE_Param_Service;
extern RTE_Param_Service_T *RTE_Param_Service_ptr;
real_T* get_cte_encoder(void);
real_T* get_desfase_z_d(void);
real_T* get_gain_velocidad(void);
namespace slrealtime
{
  SegmentVector &getSegmentVector(void);
}                                      // slrealtime

#endif
